import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusUserPlateAuth } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-12 17:31
 */
interface BusUserPlateAuthCU extends ConditionUtil<BusUserPlateAuthCU>{
    ID:FieldUtil<BusUserPlateAuthCU>;
    USER_ID:FieldUtil<BusUserPlateAuthCU>;
    PP_USER_ID:FieldUtil<BusUserPlateAuthCU>;
    OPEN_ID:FieldUtil<BusUserPlateAuthCU>;
    PLATE_NUMBER:FieldUtil<BusUserPlateAuthCU>;
    PLATE_NUMBER_SUFFIX:FieldUtil<BusUserPlateAuthCU>;
    IS_AUDIT:FieldUtil<BusUserPlateAuthCU>;
    AUDIT_FLAG:FieldUtil<BusUserPlateAuthCU>;
    AUDIT_DATE:FieldUtil<BusUserPlateAuthCU>;
    DRIVING_LICENSE:FieldUtil<BusUserPlateAuthCU>;
    REMARK:FieldUtil<BusUserPlateAuthCU>;
    CREATE_TIME:FieldUtil<BusUserPlateAuthCU>;
    UPDATE_TIME:FieldUtil<BusUserPlateAuthCU>;
    MACHINE_AUDIT:FieldUtil<BusUserPlateAuthCU>;
    DELETED:FieldUtil<BusUserPlateAuthCU>;
}

class BusUserPlateAuthCUImpl extends ConditionUtilImpl<BusUserPlateAuthCUImpl> implements BusUserPlateAuthCU{ 
    newInstance(): BusUserPlateAuthCUImpl {
        return new BusUserPlateAuthCUImpl();
    } 
    get ID(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('ID','id','唯一标识', this);
    }
    get USER_ID(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('USER_ID','userId','', this);
    }
    get PP_USER_ID(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('PP_USER_ID','ppUserId','', this);
    }
    get OPEN_ID(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('OPEN_ID','openId','', this);
    }
    get PLATE_NUMBER(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('PLATE_NUMBER','plateNumber','', this);
    }
    get PLATE_NUMBER_SUFFIX(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('PLATE_NUMBER_SUFFIX','plateNumberSuffix','', this);
    }
    get IS_AUDIT(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('IS_AUDIT','isAudit','', this);
    }
    get AUDIT_FLAG(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('AUDIT_FLAG','auditFlag','', this);
    }
    get AUDIT_DATE(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('AUDIT_DATE','auditDate','', this);
    }
    get DRIVING_LICENSE(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('DRIVING_LICENSE','drivingLicense','', this);
    }
    get REMARK(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('REMARK','remark','备注', this);
    }
    get CREATE_TIME(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get MACHINE_AUDIT(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('MACHINE_AUDIT','machineAudit','', this);
    }
    get DELETED(): FieldUtil<BusUserPlateAuthCU>{  
        return new FieldUtil('DELETED','deleted','是否删除，0：否，1：是', this);
    }
}

@Singleton 
class BusUserPlateAuthMU extends TableUtilImpl<BusUserPlateAuthCU,BusUserPlateAuth>{ 
    tableName  = 'bus_user_plate_auth';
    tableFields  = ['ID','USER_ID','PP_USER_ID','OPEN_ID','PLATE_NUMBER','PLATE_NUMBER_SUFFIX','IS_AUDIT','AUDIT_FLAG','AUDIT_DATE','DRIVING_LICENSE','REMARK','CREATE_TIME','UPDATE_TIME','MACHINE_AUDIT','DELETED'];
    modelFields  = ['id','userId','ppUserId','openId','plateNumber','plateNumberSuffix','isAudit','auditFlag','auditDate','drivingLicense','remark','createTime','updateTime','machineAudit','deleted'];
    modelIdFields  = ['id'];
    tableIdFields  = ['ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BusUserPlateAuthCU {
        return new BusUserPlateAuthCUImpl();
    }   

    static get ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('ID','id','唯一标识', new BusUserPlateAuthCUImpl());
    }
    static get USER_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('USER_ID','userId','', new BusUserPlateAuthCUImpl());
    }
    static get PP_USER_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('PP_USER_ID','ppUserId','', new BusUserPlateAuthCUImpl());
    }
    static get OPEN_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('OPEN_ID','openId','', new BusUserPlateAuthCUImpl());
    }
    static get PLATE_NUMBER(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('PLATE_NUMBER','plateNumber','', new BusUserPlateAuthCUImpl());
    }
    static get PLATE_NUMBER_SUFFIX(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('PLATE_NUMBER_SUFFIX','plateNumberSuffix','', new BusUserPlateAuthCUImpl());
    }
    static get IS_AUDIT(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('IS_AUDIT','isAudit','', new BusUserPlateAuthCUImpl());
    }
    static get AUDIT_FLAG(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('AUDIT_FLAG','auditFlag','', new BusUserPlateAuthCUImpl());
    }
    static get AUDIT_DATE(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('AUDIT_DATE','auditDate','', new BusUserPlateAuthCUImpl());
    }
    static get DRIVING_LICENSE(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('DRIVING_LICENSE','drivingLicense','', new BusUserPlateAuthCUImpl());
    }
    static get REMARK(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('REMARK','remark','备注', new BusUserPlateAuthCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusUserPlateAuthCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusUserPlateAuthCUImpl());
    }
    static get MACHINE_AUDIT(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('MACHINE_AUDIT','machineAudit','', new BusUserPlateAuthCUImpl());
    }
    static get DELETED(): FieldUtil<BusUserPlateAuthCU>{ 
        return new FieldUtil('DELETED','deleted','是否删除，0：否，1：是', new BusUserPlateAuthCUImpl());
    }

    get ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.ID;
    }
    get USER_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.USER_ID;
    }
    get PP_USER_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.PP_USER_ID;
    }
    get OPEN_ID(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.OPEN_ID;
    }
    get PLATE_NUMBER(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.PLATE_NUMBER;
    }
    get PLATE_NUMBER_SUFFIX(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.PLATE_NUMBER_SUFFIX;
    }
    get IS_AUDIT(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.IS_AUDIT;
    }
    get AUDIT_FLAG(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.AUDIT_FLAG;
    }
    get AUDIT_DATE(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.AUDIT_DATE;
    }
    get DRIVING_LICENSE(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.DRIVING_LICENSE;
    }
    get REMARK(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.REMARK;
    }
    get CREATE_TIME(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.UPDATE_TIME;
    }
    get MACHINE_AUDIT(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.MACHINE_AUDIT;
    }
    get DELETED(): FieldUtil<BusUserPlateAuthCU>{ 
        return BusUserPlateAuthMU.DELETED;
    }
}
export {BusUserPlateAuthMU, BusUserPlateAuthCU}
